Subject: Re: powerpc: Enable kernel XZ compression option on 44x

From: Christian Lamparter <[email-masked]>
Date: Fri, 08 Feb 2019 16:17:56 +0100

On Friday, February 8, 2019 2:02:41 PM CET Michael Ellerman wrote:
> On Thu, 2019-01-31 at 20:59:04 UTC, Christian Lamparter wrote:
> > Enable kernel XZ compression option on 44x.
> > Tested on a Western Digital - MyBook Live NAS.
> > It takes 22 seconds for the 800 MHz CPU to decompress
> > and boot a 2.63 MiB XZ-compressed kernel simpleImage.
> > 
> > Signed-off-by: Christian Lamparter <[email-masked]>
> 
> Applied to powerpc next, thanks.
> 
> https://git.kernel.org/powerpc/c/423bfc69d7f491c47fc35921f7d460be
> 
> cheers
> 

Hello,

I'm happy to report that a xz compressed kernel (as simpleImage)
also booted on a TP-Link WDR4900-v1 (Freescale P1014):
<https://github.com/openwrt/openwrt/pull/1773#issuecomment-461082045>

Hence, I'm inclined to also add PPC_85xx to list in /arch/powerpc/KConfig

|select HAVE_KERNEL_XZ			if PPC_BOOK3S || 44x || PPC_85xx

But on the other hand, it could very well be that more or all? PPC
would benifit from having HAVE_KERNEL_XZ available. What do you think?
(If you know of any interesting ARCHs, I could ask around too.)

Regards,
Christian